



wasmer --version
IF %ERRORLEVEL% NEQ 0 exit /B 1
wasmer --version | grep -ie '2\.1\.1'
IF %ERRORLEVEL% NEQ 0 exit /B 1
wasmer --help
IF %ERRORLEVEL% NEQ 0 exit /B 1
wasmer run --singlepass tests/wasi-wast/wasi/snapshot1/hello.wasm
IF %ERRORLEVEL% NEQ 0 exit /B 1
wasmer run --singlepass tests/wasi-wast/wasi/snapshot1/hello.wasm | grep 'Hello, world!'
IF %ERRORLEVEL% NEQ 0 exit /B 1
wasmer validate --singlepass tests/wasi-wast/wasi/snapshot1/hello.wasm
IF %ERRORLEVEL% NEQ 0 exit /B 1
wasmer run --cranelift tests/wasi-wast/wasi/snapshot1/hello.wasm
IF %ERRORLEVEL% NEQ 0 exit /B 1
wasmer run --cranelift tests/wasi-wast/wasi/snapshot1/hello.wasm | grep 'Hello, world!'
IF %ERRORLEVEL% NEQ 0 exit /B 1
wasmer validate --cranelift tests/wasi-wast/wasi/snapshot1/hello.wasm
IF %ERRORLEVEL% NEQ 0 exit /B 1
exit /B 0
